[youtubei.js](../../../../README.md) / [JsHelpers](../README.md) / extractNodeSource

# Function: extractNodeSource()

> **extractNodeSource**(`node`, `source`): `string` \| `null`

Defined in: [src/utils/javascript/helpers.ts:143](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/utils/javascript/helpers.ts#L143)

Extracts the source code corresponding to a given AST node.

## Parameters

### node

The AST node to extract source from.

`Node` | `null` | `undefined`

### source

`string`

The original source code.

## Returns

`string` \| `null`

The source code corresponding to the node, or null if not available.
